@import '../../../assets/styles/general';
@import '../../../assets/styles/layout';
@import '../../../assets/styles/input';
@import '../../../assets/styles/button';

:host {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-image: url('../../../assets/images/login-background.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: rgba(255, 255, 255, 0.74);
  background-blend-mode: overlay;
}

mat-card-title {
  font-size: $title-size-sm;
  font-family: elMessiri;
  border-bottom: 1px solid rgba(204,204,204,.3);
  padding-bottom: 20px;
  padding-right: 10px;
}

form {
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
}

mat-card {
  margin: auto 20px;
  height: 50vh;
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: rgba(255, 255, 255, 0.72);
}

mat-card-content {
  margin: auto;

  mat-form-field:first-of-type {
    margin-bottom: 20px;
  }

  mat-form-field /deep/ input {
    text-align: left;
  }
}

mat-card-footer {
  text-align: center;
  position: absolute;
  bottom: 4px;
  width: 100%;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  mat-card-title {
    font-size: $title-size-m;
    padding-bottom: 22px;
    padding-right: 12px;
  }

  mat-form-field {
    width: 260px;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  mat-card-title {
    font-size: $title-size-lg;
    padding-bottom: 25px;
    padding-right: 15px;
  }

  mat-card {
    width: 60vw;
    margin: auto;
  }

  mat-form-field {
    width: 260px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  mat-card-title {
    font-size: $title-size-xlg;
    padding-bottom: 27px;
    padding-right: 15px;
  }

  mat-card {
    width: 60vw;
    margin: auto;
  }

  mat-form-field {
    width: 280px;
  }

  mat-card-footer {
    bottom: 3px;
  }

  button {
    padding: 2px 40px;
  }
}
@media screen and (min-width: 1200px) {
  mat-card-title {
    font-size: $title-size-xlg;
    padding-bottom: 30px;
    padding-right: 15px;
  }

  mat-card {
    width: 60vw;
    margin: auto;
  }

  mat-form-field {
    width: 300px;
  }

  mat-card-footer {
    bottom: 2px;
  }

  button {
    padding: 3px 50px;
  }
}
